Bug 168039 - need an official list of unsupported things
need an official list of unsupported things
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: fedora-docs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Wade
Tammy Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-11 07:41 EDT by Dan Hollis
Modified: 2008-03-09 17:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 17:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2005-09-11 07:41:43 EDT
Description of problem:
fedora core needs an official list of unsupported things.

it's annoying to waste time entering a bug only to have it instantly closed
WONTFIX with no explanation, or with a terse "unsupported kthxbye".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.time consumingly collect data for a comprehensive and detailed bug report
2.spend time entering the bug into bugzilla
3.wait a few minutes
  
Actual results:
Watch bug get closed WONTFIX

Expected results:
Should have a list of unsupported things so people dont waste time tracking down
/ debugging stuff for bug reports which will be instantly dismissed.

it would also be helpful to know which things are unsupported so that if there
is some showstopper for someone thinking of using fedora, they know up front
ahead of time and can decide if they can work around it, or if they should move on.

Additional info:
xfs, jfs, reiserfs, ntfs, lilo, vmware, etc.

if these official policies are explicitly stated somewhere in the existing
fedora documentation, i could not find them.
Comment 1 Karsten Wade 2005-09-11 13:42:35 EDT
This information has been collected at:

http://fedoraproject.org/wiki/ForbiddenItems

You may also find this useful:

http://fedoraproject.org/wiki/FedoraMyths

These pages are only a few months old.  We have been trying to publicize them
whenever and wherever we can.  Please spread these URLs around to help others in
your situation.

In addition, we also do a snapshot of the ForbiddenItems in the relnotes.  This
is the one that appeared in the FC4 release notes:

http://fedora.redhat.com/docs/release-notes/fc4/errata/#sn-why-no-mp3

Unfortunately, this did not make it into the actual released package on the FC4
system, as you can see it was an errata.  Future release notes continue to have
this information, in a highlighted position.

Thanks for the report, mind if I close it NOTABUG? ;-)
Comment 2 Rahul Sundaram 2005-09-12 02:09:04 EDT

ForbiddenItems only covers things that we wouldnt support due to legal and
philosophical. FedoraMyths addresses misconceptions. A list of things that
Fedora doesnt support due to lack of resources would be useful. Its better to
create such a page. 

http://fedoraproject.org/wiki/Wishlist has some notes on this. We should also
get the developers to add things to that page. Instead of a terse note, they
could use a stock bugzilla template from Fedora Bug Squad

http://fedoraproject.org/wiki/BugZappers
Comment 3 Karsten Wade 2005-09-12 17:32:34 EDT
Good point.  However, the original report from comment #1 specified a list of
technologies, "xfs, jfs, reiserfs, ntfs, lilo, vmware, etc."  Most of these are
covered on the ForbiddenItems page.  This bug report seems to be in the family
of requests for more information on what is not supported because of license or
patent encumberance.

As for lilo, it's not on that page.  Was it removed recently enough to be a
Fedora Project issue?  The grub v. lilo debate has been going on for a while.
Comment 4 Rahul Sundaram 2005-09-12 17:54:29 EDT

We can add a seperate note with a link to the wishlist and HelpWanted requesting
community participation.  NTFS is covered in ForbiddenStuff. Vmware would fall
under the general remark on not including proprietary components. I consider the
lilo vs grub debate to over too essentially. If that sounds reasonable to the
reporter, lets close this one
Comment 5 Dan Hollis 2005-09-12 17:59:12 EDT
the list was not meant to be complete. it was meant as an example.

just query for WONTFIX or "unsupported".

how should bugs like #158590 be listed? (btw I completely disagree with the bug
resolution but it seems it is not open for discussion.)

bug #166699 implies that changing file permissions of any site-specific config
files is officially unsupported.

so this list would go beyond just specific packages, but would cover official
fedora OS operational/configuration policies as well. eg touch this = unsupported.

i'm guessing operating in any mode other than ext3+selinux is currently
"unsupported" right?
Comment 6 Karsten Wade 2005-09-12 19:21:13 EDT
To answer your last question, enabling and disabling SELinux is all supported,
with the targeted policy.

Documentation needs to focus on the biggest hurts it can, to help the largest
number of users.  This is how we have to think when it comes to allocating
resources.

If this is of interest to you, there are several things further you can do:

* Start a Wiki page at http://fedoraproject.org/wiki.  Let me know what UserName
you take and I'll add it to the EditGroup.  This would be an informal page, but
expect to be reviewed.

* Suggest an idea at http://fedoraproject.org/wiki/DocsProject/DocIdeas . 
Someone might pick it up and go with the idea.

* You or someone you recruit start a formal document at
http://fedoraproject.org/wiki/Docs/Drafts.  To do that, you need to
self-introduce, as described at
http://fedoraproject.org/wiki/DocsProject/NewWriters .  These are more in the
nature of tutorial/howto/FAQs.  Everything covered must be part of Core or
Extras.  Discussing unsupported options and how to enable/use them seems like a
highly relevant documentation need.  Community support is valuable, after all.

Comment 7 Dan Hollis 2005-09-27 18:59:57 EDT
i'll make a wiki page. my wiki username is bani
Comment 8 Rahul Sundaram 2005-09-28 05:25:00 EDT
Thank you for stepping up. The username needs to be in the FirstnameLastname
format for wiki linking. Other details available here

http://fedoraproject.org/wiki/WikiEditing

Drop me a mail or note in bugzilla with the new username and we will add you to
the edit group to take this forward.
Comment 9 Christian Iseli 2007-01-22 05:57:06 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 10 petrosyan 2008-03-09 17:16:12 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.